Bug 1161562 - (CVE-2019-19274) VUL-1: CVE-2019-19274: python-typed-ast: out-of-bounds read may crash Python interpreter
(CVE-2019-19274)
VUL-1: CVE-2019-19274: python-typed-ast: out-of-bounds read may crash Python ...
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Distribution
Classification: openSUSE
Component: Security
Leap 15.1
Other Other
: P4 - Low : Minor (vote)
: ---
Assigned To: Sebastian Wagner
Security Team bot
https://smash.suse.de/issue/248003/
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2020-01-22 15:56 UTC by Alexandros Toptsoglou
Modified: 2020-05-04 13:29 UTC (History)
1 user (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexandros Toptsoglou 2020-01-22 15:56:51 UTC
CVE-2019-19274

typed_ast 1.3.0 and 1.3.1 has a handle_keywordonly_args out-of-bounds read. An
attacker with the ability to cause a Python interpreter to parse Python source
(but not necessarily execute it) may be able to crash the interpreter process.
This could be a concern, for example, in a web-based service that parses (but
does not execute) Python code. (This issue also affected certain Python
3.8.0-alpha prereleases.)

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2019-19274
http://people.canonical.com/~ubuntu-security/cve/2019/CVE-2019-19274.html
https://github.com/python/cpython/commit/a4d78362397fc3bced6ea80fbc7b5f4827aec55e
https://github.com/python/cpython/commit/dcfcd146f8e6fc5c2fc16a4c192a0c5f5ca8c53c
https://github.com/python/typed_ast/commit/156afcb26c198e162504a57caddfe0acd9ed7dce
https://github.com/python/typed_ast/commit/dc317ac9cff859aa84eeabe03fb5004982545b3b
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-19274
https://bugs.python.org/issue36495
Comment 1 Sebastian Wagner 2020-02-01 15:24:29 UTC
http://build.opensuse.org/request/show/769259
Comment 2 Sebastian Wagner 2020-02-06 19:06:48 UTC
Request got accepted
Comment 3 Swamp Workflow Management 2020-02-23 11:50:06 UTC
This is an autogenerated message for OBS integration:
This bug (1161562) was mentioned in
https://build.opensuse.org/request/show/778550 15.1 / python-typed-ast
Comment 4 Swamp Workflow Management 2020-05-01 10:13:59 UTC
openSUSE-SU-2020:0567-1: An update that solves two vulnerabilities and has one errata is now available.

Category: security (low)
Bug References: 1161562,1161563,1163532
CVE References: CVE-2019-19274,CVE-2019-19275
Sources used:
openSUSE Leap 15.1 (src):    python-typed-ast-1.3.1-lp151.2.6.1
Comment 5 Swamp Workflow Management 2020-05-04 13:29:13 UTC
openSUSE-SU-2020:0609-1: An update that solves two vulnerabilities and has one errata is now available.

Category: security (low)
Bug References: 1161562,1161563,1163532
CVE References: CVE-2019-19274,CVE-2019-19275
Sources used:
openSUSE Backports SLE-15-SP1 (src):    python-typed-ast-1.3.1-bp151.2.6.1